VirtuousAI
Reference

Admin

Seed Demo Data

POST
/api/v1/admin/seed-demo-data

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/admin/seed-demo-data"
{
  "message": "string",
  "tenantId": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Get Tenant Status

GET
/api/v1/admin/tenant-status

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/admin/tenant-status"
{
  "status": "string",
  "tenantId": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Update Tenant Status

PATCH
/api/v1/admin/tenant-status

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Request Body

application/json

status*string

Tenant lifecycle status.

New tenants start as 'demo' and are promoted to 'active' when real data sources are connected.

Value in"demo" | "active"

Response Body

application/json

application/json

curl -X PATCH "https://loading/api/v1/admin/tenant-status" \  -H "Content-Type: application/json" \  -d '{    "status": "demo"  }'
{
  "status": "string",
  "tenantId": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}